services:
  windows:
    image: dockurr/windows
    container_name: windows
    environment:
      VERSION: "win7"
      #MANUAL: "Y"    手动安装
      RAM_SIZE: "1.6G"
      CPU_CORES: "3"
      USERNAME: "smileyman"
      PASSWORD: "man147258369man"
      LANGUAGE: "Chinese"
      DISK_SIZE: "17G"
    shm_size: "0.8G" 
    devices:
      - /dev/kvm
    cap_add:
      - NET_ADMIN
    volumes:
      #- /munt/data/example:/shared
      #- /home/user/example.iso:/custom.iso  #本地镜像
      - /opt/docker-data/windows:/storage   #持久化
    ports: 
      #- 38006:8006
      - 23389:3389/tcp
      - 23389:3389/udp
    stop_grace_period: 2m
    restart: unless-stopped


#https://hub.docker.com/r/dockurr/windows